<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-title>home</ion-title>
        <ion-button routerLink="/profile" routerDirection="forward" slot="end" fill="clear" shape="round">
            <ion-icon size="small" name="person"> </ion-icon>
        </ion-button>
    </ion-toolbar>
</ion-header>
<ion-content>
    <ion-grid>
        <ion-row>
            <ion-col size="12">
                <h3> Categories</h3>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col size="12">
                <ion-slides pager="false" [options]="categorySlide" #slideone autoplay="3000">
                    <ion-slide *ngFor="let c of categories" (click)="onCategoryClick(c.id)">
                        <ion-card class="categories">
                            <ion-card-header>
                                <ion-card-subtitle>
                                    <div class="bg-icon">
                                        <ion-icon size="large" [name]="c.icon"></ion-icon>
                                    </div>
                                    <h6> {{c.title}}</h6>
                                </ion-card-subtitle>
                            </ion-card-header>
                        </ion-card>
                    </ion-slide>
                </ion-slides>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col size="12">
                <h3> Popular Help Offers Near You</h3>
            </ion-col>
        </ion-row>

        <ion-row>
            <ng-container *ngFor="let o of offers">
                <ion-col size="6" class="ion-no-padding">
                    <ion-card (click)="onViewDetails(o)">
                        <img [src]="o.url" />
                        <ion-card-header>
                            <ion-card-subtitle>
                                <ng-container *ngFor="let c of o.categories">
                                    <span class="cat">{{c}} -</span>
                                </ng-container>

                            </ion-card-subtitle>
                            <ion-card-title>
                                <h6>{{o.title}}</h6>
                            </ion-card-title>
                        </ion-card-header>
                    </ion-card>
                </ion-col>
            </ng-container>
        </ion-row>
    </ion-grid>


</ion-content>
